<template>
    <view class="pb-[24rpx]">
        <w-date-more :curDate="curDate" type="telesale" />
        <date-strip v-model="value" @change="handleDateChange" height="160rpx" />
        <w-summary-form v-model="templateItems" @handle-confirm="handleConfirm" />
        <tabbar />
    </view>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import dateStrip from '@/components/date-strip/index.vue'

const curDate = ref(new Date().getTime())
const templateItems = ref([
    { formType: 1, formTitle: '今日打电话数量（包括不接、挂、空）', value: '' },
    { formType: 1, formTitle: '今日打出多少条有效数据（可以加微信）', value: '' },
    { formType: 1, formTitle: '家长主动加我们微信数据', value: '' },
    { formType: 2, formTitle: '有遇到什么问题', value: '' }
])
const handleConfirm = () => {
    console.log(templateItems.value)
}
const value = ref(new Date().getTime())
const handleDateChange = item => {
    console.log(item)
}
</script>
<style scoped lang="scss"></style>
